### Enumeration

# Qmi NasUsagePreference

since: 1.24

#### Declaration

    enum Qmi.NasUsagePreference

#### Description [src]

Modem usage preference.

Available since: 1.24

#### Members

`QMI_NAS_USAGE_PREFERENCE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_USAGE_PREFERENCE_VOICE_CENTRIC`

  Voice centric.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_USAGE_PREFERENCE_DATA_CENTRIC`

  Data centric.

  - Value: `2`
  - Available since: 1.24

#### Type functions

###### qmi_nas_usage_preference_get_string

Gets the nickname string for the `QmiNasUsagePreference` specified at `val`.

since: 1.24